1
0
forked from pool/virtualbox
virtualbox/vbox-vboxadd-init-script.diff

285 lines
11 KiB
Diff
Raw Normal View History

Index: VirtualBox-5.2.22/src/VBox/Additions/linux/installer/vboxadd.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/Additions/linux/installer/vboxadd.sh
+++ VirtualBox-5.2.22/src/VBox/Additions/linux/installer/vboxadd.sh
@@ -26,11 +26,14 @@
# Provides: vboxadd
# Required-Start:
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Should-Start: $remote_fs
+# Should-Stop: $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
- Version bump to 5.1.24 (released 2017-07-18 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: mask the VME CPUID capability on AMD Ryzen processors for now to make certain guests works, for example Windows XP VMM: emulate more SSE2 instructions VMM: properly clear the TF and AC flags when dispatching real-mode interrupts GUI: fixes to make the mini-toolbar work with recent versions of KDE / Plasma (bug #16325) GUI: fixed a potential crash when a VM with multiple screens is running in full screen / seamless mode and a host screen is removed, for example when connecting to the host via RDP GUI: fixed initial size hints for guests which set intermediate sizes before responding (bug #16593) GUI: prevent stopped screen updates or black screen on reboot in a multi-screen setup under certain conditions Audio: many improvements for Windows 10 guests (bugs #15189, #15925, #16170, #16682, #16794 and others) Storage: fixed possible crash when using Intels SPDK API: use the correct file name of the VM machine state if the VM settings directory is renamed, for example during grouping / ungrouping a VM (bugs #16075 and #16745) API: return the correct error code if powering up a VM fails API: video recording did not automatically start at VM start when enabled in the VM settings (bug #16803) API: when relocating a medium, check that the target path is fully qualified EFI: fix for VMs with more than 3504MB RAM (bug #11103) Host-only adapter: correctly determine IPv4 netmasks on Windows hosts (bug #16826) NAT network: properly do the refcounting for starting / stopping the NAT / DHCP services if the NAT network is changed while the adapter network connection type is anything else but NAT network VBoxManage: fixed controlvm videocapfile (bug #16779) Linux / Mac OS X hosts: more fixes for loading shared libraries (5.1.20 regression; bugs #16778, #16693) Linux hosts / guests: Linux 4.12 fixes (bugs #16725, #16800) Linux hosts / guests: reduce the kernel stack consumption for Linux kernels with CONFIG_CPUMASK_OFFSTACK defined Linux hosts / guests: fixes for kernel modules built with gcc-7 (bug #16772) Linux hosts / guests: Linux 4.13 fix (bug #16887) Linux hosts: don't depend on net-tools on newer distributions as this package is deprecated in favour of iproute (bug #16764) Linux hosts: make 2D video acceleration available for older Linux distributions (5.1 regression; bug #16858) Linux Additions: fix for dynamic resizing with Oracle Linux 6 with UEK4 Linux Additions: make Fedora 25 and 26 Alpha work when 3D pass-through is enabled Linux Additions: no longer recommend removing distribution- installed Additions if they are updated to our guidelines OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=351
2017-07-19 06:47:23 +02:00
# X-Start-Before: display-manager
# X-Service-Type: oneshot
# Description: VirtualBox Linux Additions kernel modules
+# Short-Description: VirtualBox Linux Additions kernel modules
### END INIT INFO
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
@@ -139,18 +142,9 @@ module_build_log()
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
dev=/dev/vboxguest
userdev=/dev/vboxuser
-config=/var/lib/VBoxGuestAdditions/config
owner=vboxadd
group=1
-if test -r $config; then
- . $config
-else
- fail "Configuration file $config not found"
-fi
-test -n "$INSTALL_DIR" -a -n "$INSTALL_VER" ||
- fail "Configuration file $config not complete"
-
running_vboxguest()
{
lsmod | grep -q "vboxguest[^_-]"
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
@@ -193,12 +187,6 @@ do_vboxguest_non_udev()
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
fail "Cannot create device $dev with major $maj and minor $min"
}
fi
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
- chown $owner:$group $dev 2>/dev/null || {
- rm -f $dev 2>/dev/null
- rm -f $userdev 2>/dev/null
- rmmod vboxguest 2>/dev/null
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
- fail "Cannot change owner $owner:$group for device $dev"
- }
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
if [ ! -c $userdev ]; then
maj=10
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
@@ -209,12 +197,6 @@ do_vboxguest_non_udev()
rmmod vboxguest 2>/dev/null
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
fail "Cannot create device $userdev with major $maj and minor $min"
}
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
- chown $owner:$group $userdev 2>/dev/null || {
- rm -f $dev 2>/dev/null
- rm -f $userdev 2>/dev/null
- rmmod vboxguest 2>/dev/null
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
- fail "Cannot change owner $owner:$group for device $userdev"
- }
fi
fi
}
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
@@ -224,9 +206,8 @@ start()
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
begin "Starting."
# If we got this far assume that the slow set-up has been done.
QUICKSETUP=start
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
- uname -r | grep -q -E '^2\.6|^3|^4' 2>/dev/null &&
- ps -A -o comm | grep -q '/*udevd$' 2>/dev/null ||
+ uname -r | grep -q -E '^2\.6|^3|^4' 2>/dev/null &&
+ ps -A -o comm | grep -q '/*udevd$' 2>/dev/null ||
no_udev=1
running_vboxguest || {
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
rm -f $dev || {
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
@@ -239,7 +220,7 @@ start()
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
$MODPROBE vboxguest >/dev/null 2>&1 || {
setup
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
- $MODPROBE vboxguest >/dev/null 2>&1 ||
+ $MODPROBE vboxguest >/dev/null 2>&1 || {
fail "modprobe vboxguest failed"
}
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
case "$no_udev" in 1)
@@ -284,7 +265,8 @@ start()
fi
if test -n "${setup_gl}"; then
mkdir -p /var/lib/VBoxGuestAdditions/lib
- ln -sf "${INSTALL_DIR}/lib/VBoxOGL.so" /var/lib/VBoxGuestAdditions/lib/libGL.so.1
+ ln -sf "/usr/lib64/VBoxOGL.so" /var/lib/VBoxGuestAdditions/lib/libGL.so.1
+ ln -sf "/usr/lib64/VBoxEGL.so" /var/lib/VBoxGuestAdditions/lib/libEGL.so.1
# SELinux for the OpenGL libraries, so that gdm can load them during the
# acceleration support check. This prevents an "Oh no, something has gone
# wrong!" error when starting EL7 guests.
@@ -295,6 +277,15 @@ start()
- Version bump to 5.1.24 (released 2017-07-18 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: mask the VME CPUID capability on AMD Ryzen processors for now to make certain guests works, for example Windows XP VMM: emulate more SSE2 instructions VMM: properly clear the TF and AC flags when dispatching real-mode interrupts GUI: fixes to make the mini-toolbar work with recent versions of KDE / Plasma (bug #16325) GUI: fixed a potential crash when a VM with multiple screens is running in full screen / seamless mode and a host screen is removed, for example when connecting to the host via RDP GUI: fixed initial size hints for guests which set intermediate sizes before responding (bug #16593) GUI: prevent stopped screen updates or black screen on reboot in a multi-screen setup under certain conditions Audio: many improvements for Windows 10 guests (bugs #15189, #15925, #16170, #16682, #16794 and others) Storage: fixed possible crash when using Intels SPDK API: use the correct file name of the VM machine state if the VM settings directory is renamed, for example during grouping / ungrouping a VM (bugs #16075 and #16745) API: return the correct error code if powering up a VM fails API: video recording did not automatically start at VM start when enabled in the VM settings (bug #16803) API: when relocating a medium, check that the target path is fully qualified EFI: fix for VMs with more than 3504MB RAM (bug #11103) Host-only adapter: correctly determine IPv4 netmasks on Windows hosts (bug #16826) NAT network: properly do the refcounting for starting / stopping the NAT / DHCP services if the NAT network is changed while the adapter network connection type is anything else but NAT network VBoxManage: fixed controlvm videocapfile (bug #16779) Linux / Mac OS X hosts: more fixes for loading shared libraries (5.1.20 regression; bugs #16778, #16693) Linux hosts / guests: Linux 4.12 fixes (bugs #16725, #16800) Linux hosts / guests: reduce the kernel stack consumption for Linux kernels with CONFIG_CPUMASK_OFFSTACK defined Linux hosts / guests: fixes for kernel modules built with gcc-7 (bug #16772) Linux hosts / guests: Linux 4.13 fix (bug #16887) Linux hosts: don't depend on net-tools on newer distributions as this package is deprecated in favour of iproute (bug #16764) Linux hosts: make 2D video acceleration available for older Linux distributions (5.1 regression; bug #16858) Linux Additions: fix for dynamic resizing with Oracle Linux 6 with UEK4 Linux Additions: make Fedora 25 and 26 Alpha work when 3D pass-through is enabled Linux Additions: no longer recommend removing distribution- installed Additions if they are updated to our guidelines OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=351
2017-07-19 06:47:23 +02:00
chcon -h -t lib_t "/var/lib/VBoxGuestAdditions/lib/libGL.so.1"
fi
echo "/var/lib/VBoxGuestAdditions/lib" > /etc/ld.so.conf.d/00vboxvideo.conf
+ # The above code will enable 3D acceleration for Gnome VM desktops. For Plasma 5 (KDE)
+ # VM's almost everything breaks. For that reason, acceleration MUST be disabled here.
+ # Gnome users that want this feature should delete the two 'rm' commands that follow.
+ # You will need to repeat this modification EVERY time the VirtualBox package is
+ # reinstalled
+ # Any KDE user that deletes the two 'rm' commands MUST know how to recover your sustem
+ # from a mode 3 boot. YOU HAVE BEEN WARNED.
+ rm /var/lib/VBoxGuestAdditions/lib/*
+ rm /etc/ld.so.conf.d/00vboxvideo.conf
fi
ldconfig
@@ -488,9 +479,9 @@ create_udev_rule()
- File "fixes_for_4.15.patch" removed - fixed upstream. File "fix_videocapture.patch" removed - fixed upstream. Version bump to 5.2.8 (released 2018-02-27 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: added support for FSGSBASE, PCID, INVPCID CPU features for guests VMM: fixed EMM386 issue with detecting suitable page frame base (bug #10022) Front end: Linux: prevent VM window from jumping and auto-resizing to tiny size after resizing it on HiDPI screen Front end: Linux: fixed seamless regression caused by wm_class functionality (bugs #12534, #17304) Front end: switched to https downloads Front end: fixed crash while opening New machine wizard (s.a. forums topic 86592) Audio: added support for distinguishing recording sources in the PulseAudio mixer on the host when multiple VMs are running Audio: various fixes for the DirectSound backend Video recording: added better file seeking support and fixed playback of recorded files with certain players (e.g. Firefox) Audio: various fixes for Windows guest surround setups Audio: various fixes for HDA emulation Serial: fixed an issue where the serial port parameters in the emulation and host serial port got out of sync (bug #17116) Storage: fixed overwriting certain INQUIRY data for the DVD/CD drive attached to a AHCI controller Storage: fixed handling VMDK images created by Amazon EC2 VM export Network: fixed PXE boot regression in e1000 Network: Added a workaround for older guests which do not enable bus mastering for the virtio PCI device 3D: add environment variable to configure presenting 3D content on main thread (see bug #13653) Windows hosts: fixed indiscriminate binding of NDIS5 bridged driver, that caused PPPOE malfunction (bugs #16407, #17489) Windows guests: fixed incorrect function error when using shared folders in certain applications (bug #14118) Linux guests: Linux 4.15 support (bugs #17311, #17320, #17282) Linux guests: fixed black screen when 3D enabled in guests (bug #17463, 5.2.6 regression) Linux guests: suppress setuid and setgid in shared folders OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=407
2018-03-01 03:52:18 +01:00
echo "KERNEL=${udev_fix}\"vboxuser\", NAME=\"vboxuser\", OWNER=\"vboxadd\", MODE=\"0666\"" >> /etc/udev/rules.d/60-vboxadd.rules
fi
}
-
-create_module_rebuild_script()
-{
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
# And a post-installation script for rebuilding modules when a new kernel
# is installed.
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
@@ -521,20 +512,13 @@ shared_folder_setup()
## @todo It would be nicer if the kernel module just parsed parameters
# itself instead of needing a separate binary to do that.
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
ln -sf "${INSTALL_DIR}/other/mount.vboxsf" /sbin
- # SELinux security context for the mount helper.
- if test -e /etc/selinux/config; then
- # This is correct. semanage maps this to the real path, and it aborts
- # with an error, telling you what you should have typed, if you specify
- # the real path. The "chcon" is there as a back-up for old guests.
- command -v semanage > /dev/null &&
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
- semanage fcontext -a -t mount_exec_t "${INSTALL_DIR}/other/mount.vboxsf"
- chcon -t mount_exec_t "${INSTALL_DIR}/other/mount.vboxsf"
- fi
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
+ succ_msg
}
# setup_script
setup()
{
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
+<<<<<<< found
export BUILD_TYPE
export USERNAME
@@ -551,16 +535,33 @@ setup()
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
shared_folder_setup
if running_vboxguest || running_vboxadd; then
info "Running kernel modules will not be replaced until the system is restarted"
- fi
- return 0
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
+||||||| expected
+ export BUILD_TYPE
+ export USERNAME
+
+ MODULE_SRC="$INSTALL_DIR/src/vboxguest-$INSTALL_VER"
+ BUILDINTMP="$MODULE_SRC/build_in_tmp"
+ chcon -t bin_t "$BUILDINTMP" > /dev/null 2>&1
+
+ test -z "${INSTALL_NO_MODULE_BUILDS}" && setup_modules
+ create_vbox_user
+ create_udev_rule
+ test -z "${INSTALL_NO_MODULE_BUILDS}" && create_module_rebuild_script
+ test -n "${QUICKSETUP}" && return 0
+ shared_folder_setup
+ if running_vboxguest || running_vboxadd; then
+ info "Running kernel modules will not be replaced until the system is restarted"
+=======
+ begin "Recompiling VirtualBox kernel module, NOT. It has been packaged."
- Version bump to 5.2.20 (released October 16 2018 by Oracle) This is a maintenance release. The following items were fixed and/or added: VMM: fixed task switches triggered by INTn instruction (bug #17979) Storage: fixed connecting to certain iSCSI targets (bug #17507) Storage: fixed handling of flush requests when configured to be ignored when the host I/O cache is used (bug #17573) Drag and drop: implemented support for UNC paths (bug #17146) Drag and drop: fixed resuming operation when restoring from a saved state (bug #17649) Drag and drop: fixed copying files with long file names (> 248 characters) from guests to Windows hosts (bug #17447) Drag and drop: fixed handling files with Unicode names on Windows guests (bug #15501) Drag and drop: fixed copying empty (0-byte) files to / from guests (bugs #14863 + #17443) Drag and drop: fixed copying over files from hosts to Linux guests (bug #16025) Networking: restore connectivity for guests bridged to host adapters that were unavailable temporarily (Windows hosts, bug #17090) Guest Control: fixed hang when using --wait-stdout and/or --wait-stderr (bug #17386). Needs updating Guest Additions Video recording: fixed starting video recording on VM power up (bug #17307) Linux Additions: various build fixes for kernel modules on recent distributions, and made sure modules end up in initramfs files Linux Additions: build fixes for 4.19, thank you Larry Finger Linux Additions: various small fixes for video driver This version also addresses the following vulnerabilities: CVE-2018-0732, CVE-2018-2909, CVE-2018-3287 CVE-2018-3288, CVE-2018-3289, CVE-2018-3290, CVE-2018-3291, CVE-2018-3292, CVE-2018-3293, CVE-2018-3294, CVE-2018-3295, CVE-2018-3296, CVE-2018-3297, and CVE-2018-3298. bsc#1112097 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=446
2018-10-29 21:13:27 +01:00
+>>>>>>> replacement
+ succ_msg
}
# cleanup_script
cleanup()
{
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
- # Delete old versions of VBox modules.
- cleanup_modules
+ # Delete old versions of VBox modules.
+ cleanup_modules
depmod
# Remove old module sources
@@ -570,13 +571,14 @@ cleanup()
fi
# Clean-up X11-related bits
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
+ #/sbin/rcvboxadd-x11 cleanup
# Remove other files
rm /sbin/mount.vboxsf 2>/dev/null
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null
+ rm /sbin/rcvboxadd 2>/dev/null
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null
fi
rm /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
}
Index: VirtualBox-5.2.22/src/VBox/Additions/linux/installer/vboxadd-service.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
+++ VirtualBox-5.2.22/src/VBox/Additions/linux/installer/vboxadd-service.sh
@@ -26,7 +26,7 @@
# Provides: vboxadd-service
# Required-Start: vboxadd
# Required-Stop: vboxadd
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
# X-Conflicts-With: systemd-timesyncd.service
# Description: VirtualBox Additions Service
Index: VirtualBox-5.2.22/src/VBox/Installer/linux/vboxautostart-service.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/Installer/linux/vboxautostart-service.sh
+++ VirtualBox-5.2.22/src/VBox/Installer/linux/vboxautostart-service.sh
@@ -23,7 +23,7 @@
# Provides: vboxautostart-service
# Required-Start: vboxdrv
# Required-Stop: vboxdrv
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox autostart service
### END INIT INFO
Index: VirtualBox-5.2.22/src/VBox/Installer/linux/vboxballoonctrl-service.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
+++ VirtualBox-5.2.22/src/VBox/Installer/linux/vboxballoonctrl-service.sh
@@ -23,7 +23,7 @@
# Provides: vboxballoonctrl-service
# Required-Start: vboxdrv
# Required-Stop: vboxdrv
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox watchdog daemon
### END INIT INFO
Index: VirtualBox-5.2.22/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
+++ VirtualBox-5.2.22/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
@@ -31,7 +31,7 @@
# Provides: testboxscript-service
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: TestBoxScript service
### END INIT INFO
Index: VirtualBox-5.2.22/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
+++ VirtualBox-5.2.22/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
@@ -31,7 +31,7 @@
# Provides: vboxtxs
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox Test Execution Service
### END INIT INFO
Index: VirtualBox-5.2.22/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
===================================================================
--- VirtualBox-5.2.22.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
+++ VirtualBox-5.2.22/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
@@ -31,7 +31,7 @@
# Provides: vboxtxs
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox Test Execution Service
### END INIT INFO